package com.steerinfo.meterwork.meterworkprelink.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.meterwork.meterworkprelink.model.MeterWorkPreLink;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterWorkPreLinkMapper extends IBaseMapper<MeterWorkPreLink, String> {
    List<MeterWorkPreLink> selectByType(@Param(value = "processNo") String processNo, @Param(value = "preProcessNo") String preProcessNo);

    String getNewID(@Param(value="afl")String afl);

    List<MeterWorkPreLink> getNextFlag(Map<String,Object> map);

    List<MeterWorkPreLink> getPer(Map<String,Object> map);

    List<MeterWorkPreLink> batchReset(Map<String,Object> map);

    List<MeterWorkPreLink> findWithCondition(Map<String,Object> map);

    List<MeterWorkPreLink> getNext(HashMap<String, Object> obj);

    int updateByPrimaryKeySelectivePart(MeterWorkPreLink t);

    List<MeterWorkPreLink> combinedLink(List<String> ids);

    int batchUpdateForUse(List<MeterWorkPreLink> list);

    //按车号查询：历史未卸货的数据
    List<MeterWorkPreLink> doQueryNoXh(Map<String, Object> map);

    void doUpdateFlag(HashMap<String, Object> obj);
}